Package ru.bitel.bgbilling.modules.ipn.common.bean

# Class AddressRange

java.lang.Object
ru.bitel.bgbilling.modules.ipn.common.bean.AddressRange

public class AddressRange extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressRange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `checkAddressRange()`
  `long`
  `getAddr1()`
  `long`
  `getAddr2()`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `int`
  `getContractID()`
  Deprecated.
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `int`
  `getId()`
  `int`
  `getID()`
  Deprecated.
  `int`
  `getMask()`
  `int`
  `getObjectId()`
  `int`
  `getPersonalPlanId()`
  `int`
  `getPlanId()`
  `int`
  `getPort1()`
  `int`
  `getPort2()`
  `final int`
  `getResourceId()`
  `String`
  `getSources()`
  `void`
  `setAddr1(long addr1)`
  `void`
  `setAddr2(long addr2)`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractID(int contractId)`
  Deprecated.
  `void`
  `setDate1(Calendar date1)`
  `void`
  `setDate2(Calendar date2)`
  `void`
  `setId(int id)`
  `void`
  `setID(int id)`
  Deprecated.
  `void`
  `setMask(int mask)`
  `void`
  `setObjectId(int objectId)`
  `void`
  `setPersonalPlanId(int personalPlanId)`
  `void`
  `setPlanId(int planId)`
  `void`
  `setPort1(int port1)`
  `void`
  `setPort2(int port2)`
  `final void`
  `setResourceId(int resourceId)`
  `void`
  `setSources(String sources)`
  `String`
  `toShortString()`
  `String`
  `toString()`
  `String`
  `toString(StringBuilder sources)`
  `String`
  `toStringWithoutSource()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddressRange

    public AddressRange()

- ## Method Details

  - ### getResourceId

    public final int getResourceId()

  - ### setResourceId

    public final void setResourceId(int resourceId)

  - ### getPersonalPlanId

    public int getPersonalPlanId()

  - ### setPersonalPlanId

    public void setPersonalPlanId(int personalPlanId)

  - ### getPlanId

    public int getPlanId()

  - ### setPlanId

    public void setPlanId(int planId)

  - ### getDate1

    public Calendar getDate1()

  - ### setDate1

    public void setDate1(Calendar date1)

  - ### getDate2

    public Calendar getDate2()

  - ### setDate2

    public void setDate2(Calendar date2)

  - ### getPort1

    public int getPort1()

  - ### setPort1

    public void setPort1(int port1)

  - ### getPort2

    public int getPort2()

  - ### setPort2

    public void setPort2(int port2)

  - ### getContractId

    public int getContractId()

  - ### getContractID

    @Deprecated public int getContractID()
    Deprecated.
    Использовать {@link #getContractId()).
    Returns:

  - ### setContractId

    public void setContractId(int contractId)

  - ### setContractID

    @Deprecated public void setContractID(int contractId)
    Deprecated.
    Использовать `setContractId(int)`.
    Parameters:
      `contractId` -

  - ### getId

    public int getId()

  - ### getID

    @Deprecated public int getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setId

    public void setId(int id)

  - ### setID

    @Deprecated public void setID(int id)
    Deprecated.
    Использовать `setId(int)`.
    Parameters:
      `id` -

  - ### getAddr1

    public long getAddr1()

  - ### setAddr1

    public void setAddr1(long addr1)

  - ### getAddr2

    public long getAddr2()

  - ### setAddr2

    public void setAddr2(long addr2)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### checkAddressRange

    public String checkAddressRange()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toShortString

    public String toShortString()

  - ### toString

    public String toString(StringBuilder sources)

  - ### toStringWithoutSource

    public String toStringWithoutSource()

  - ### getObjectId

    public int getObjectId()

  - ### setObjectId

    public void setObjectId(int objectId)

  - ### getSources

    public String getSources()

  - ### setSources

    public void setSources(String sources)

  - ### getMask

    public int getMask()

  - ### setMask

    public void setMask(int mask)